summaryrefslogtreecommitdiff
path: root/12_Prompts.zsh
diff options
context:
space:
mode:
authorHugues Hiegel <hugues.hiegel@qosmos.com>2012-03-02 12:37:02 +0100
committerHugues Hiegel <hugues.hiegel@qosmos.com>2012-03-02 12:37:02 +0100
commit8ab8e985a2c244ec3639a830c9d11f4be69bef97 (patch)
tree9c3d8f6d74d40eaf8e2c5f465c25af01ffee4c9b /12_Prompts.zsh
parentf4982398816e2dee92e0f7483b0c2c3456c3ec8d (diff)
[Prompts] cleanup
Diffstat (limited to '12_Prompts.zsh')
-rw-r--r--12_Prompts.zsh18
1 files changed, 9 insertions, 9 deletions
diff --git a/12_Prompts.zsh b/12_Prompts.zsh
index 628c060..ba8c7fb 100644
--- a/12_Prompts.zsh
+++ b/12_Prompts.zsh
@@ -111,7 +111,7 @@ __update_prompt_elements()
[ "$DEBUG" = "yes" ] && echo -n " Term title..."
# Flush the term title
- __term_title
+ __term_title
[ "$DEBUG" = "yes" ] && echo
__set_prompt_date
@@ -140,16 +140,16 @@ __update_prompt_elements()
# That's a local agent
if [ "$SSH_AGENT_KEYLIST" != "" ]
then
- AgentChar=${AGENT_WITH_KEYS:-$( [ $_is_multibyte_compliant ] && echo "✔" || echo "$" )}
- AGENTS=""
- for i in $(echo $SSH_AGENT_KEYLIST | cut -d' ' -f3 )
- do
- AGENTS=$AGENTS$C_${_agent_colors[$i:t]:-$_agent_colors[has_keys]}$_C$AgentChar
- done
+ AgentChar=${AGENT_WITH_KEYS:-$( [ $_is_multibyte_compliant ] && echo "✔" || echo "$" )}
+ AGENTS=""
+ for i in $(echo $SSH_AGENT_KEYLIST | cut -d' ' -f3 )
+ do
+ AGENTS=$AGENTS$C_${_agent_colors[$i:t]:-$_agent_colors[has_keys]}$_C$AgentChar
+ done
else
AGENTCOLOR="empty"
AgentChar=${AGENT_EMPTY:-$( [ $_is_multibyte_compliant ] && echo "✘" || echo "S" )}
- AGENTS=$C_$_agent_colors[$AGENTCOLOR]$_C"$AgentChar"
+ AGENTS=$C_$_agent_colors[$AGENTCOLOR]$_C"$AgentChar"
fi
else
# That's a forwarded agent
@@ -161,7 +161,7 @@ __update_prompt_elements()
AGENTCOLOR="remote_empty"
AgentChar=${AGENT_SOCK_EMPTY:-$( [ $_is_multibyte_compliant ] && echo "✗" || echo "O" )}
fi
- AGENTS=$C_$_agent_colors[$AGENTCOLOR]$_C"$AgentChar"
+ AGENTS=$C_$_agent_colors[$AGENTCOLOR]$_C"$AgentChar"
fi
fi